#ifndef __CNewFileTypeDialog__
#define __CNewFileTypeDialog__

#include <qlist.h>
#include "newFileType.h" 
#include "../cconfig.h"
#include "../configOpt.h"

class CNewFileTypeDialog : public newFileType
{
  Q_OBJECT
  public:
	CNewFileTypeDialog(CConfig *lc, CConfigOpt *opt, char *fileName, QWidget *parent = 0, const char *name = 0);
	void setModule(inComponent *module);

  protected slots:
    void clearClicked();
	void itemSelected(int);
	void recognitionClicked();
	void cancelClicked();
	void removeClicked();
	void addClicked();
    
 private:
	QList<QByteArray> reads;
	// list of bytes read from files

	int *equals;
	// equality between bytes

	char *localF;
	QString lastFile;

	inComponent *module;

	CConfig *lco;
	CConfigOpt *opto;

	bool firstTime;

};  

#endif
