#ifndef __OUTMODULE__
#define __OUTMODULE__

#include <qwidget.h>
#include "zglcomponent.h"
#include "../list.h"
#include "../cconfig.h"

class outModule : public outGLComponent
{
  Q_OBJECT
  public:
    outModule();
    
    virtual QGLWidget *getNewWidget(CConfig *config, QWidget *parent = 0, const char *name = 0);
    virtual void display(ZList &);
    virtual void displayDevices(ZListDevice &);
    virtual QStrList getMenu();

  protected:
    outGLComponent *component;

  protected slots:
	virtual void menuClicked(int);
};

#endif
