#ifndef __THREADSCAN_H__
#define __THREADSCAN_H__

#include <qstring.h>
#include "TThread.h"
#include "plugins/zcomponent.h"
#include "list.h"

class threadScan : public Thread
{
  public:
	threadScan();
	ZList getList() { return myList; }
	void setComponent(inComponent *comp) { component = comp; }
	void setPath(QString path) { dir = path; }
	void setMessenger(Thread *th) { t = th; }

	virtual ~threadScan() {}

  private:
	virtual void *ThreadMain();
	inComponent *component;
	ZList myList;
	QString dir;
	Thread *t;
};

#endif