/* This file is part of the zfm
    Copyright (C) 1998-99 GOUIRAN Christophe (Christophe.Gouiran@lpl.univ-aix.fr)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef __CFILEEVENTDSIALOG___
#define __CFILEEVENTDSIALOG___

#include "fileEventsDialog.h"
#include "../cconfig.h"
#include "../configOpt.h"

class CFileEventsDialog : public fileEventsDialog
{
	Q_OBJECT
	public:
		CFileEventsDialog(CConfig *c, CConfigOpt *co, int n, QWidget *parent = 0, const char *name = 0);

		void addEntry(QString);

	protected:
		CConfig *lc;
		CConfigOpt *lco;
		int ln;
		int current;

	protected slots:
		void OnListClicked(int);
		void OnListPressed(int);
		void OnClass();
		void OnEdit();
		void OnUse();
		void OnCancel();
};

#endif
