#ifndef __CTOOLBARDIALOG_H__
#define __CTOOLBARDIALOG_H__

#include "toolBarDialog.h"

class CToolBarDialog : public toolBarDialog
{
    Q_OBJECT
    public:
	CToolBarDialog(CConfigToolBar *conf, ZToolbar *local, QWidget *parent = 0, const char *name = 0);

    protected slots:
	void pixmapListBoxClicked(int index);
	void pixmapListBoxDblClicked(int index);
	void toolbarClicked(int index);
	void OnAdd();
	void OnRemove();
	void OnEdit();
	void OnUse();
	void OnSave();
	void OnCancel();
	void myListBoxClicked(int index);
	void myListBoxDblClicked(int index);

    private:
	CConfigToolBar *config;
	ZToolbar *localToolBar;
	int currentPixmapLBox;
	int currentToolBar;	
	int currentAction;
};

#endif
