#include <qapplication.h>
#include "threadDisplay.h"

threadDisplay::threadDisplay()
	: Thread()
{}

void *threadDisplay::ThreadMain()
{
	if (component)
		component -> clear();
	else
		GLcomponent -> clear();

	int count = myList.count();
	for(int i = 0 ; i < count ; i++)
	{
		//qApp -> processEvents(0);
		if (component)
			component -> addEntry(myList.at(i));
		else
			GLcomponent -> addEntry(myList.at(i));
	}

	//qApp -> processEvents(0);
	for(i = 0 ; i < count ; i++)
	{
		if (component)
			component -> display(i);
		else
			GLcomponent -> display(i);
	}

	if (component)
		component -> display();
	else
		GLcomponent -> display();
	

	Message *msg = new Message;
	t -> SndMessage(msg);
	return 0;
}