TEMPLATE	= app
CONFIG		= qt warn_off console release
linux-g++:TMAKE_LIBS = -ldl \
		       -lpthread
win32:DEFINES += QT_DLL \
                 WIN32
HEADERS		= cconfig.h \
		  configOpt.h \
		  configToolBar.h \
		  dialogs/CActionAssociationDialog.h \
		  dialogs/CArgumentDialog.h \
		  dialogs/CClassDialog.h \
		  dialogs/CFileEventsDialog.h \
		  dialogs/CFileTypesDialog.h \
		  dialogs/CNewFileTypeDialog.h \
		  dialogs/COptionsDialog.h \
		  dialogs/CToolBarDialog.h \
		  dialogs/actionAssociation.h \
		  dialogs/actionAssociationData.h \
		  dialogs/actionAssociationDialog.h \
		  dialogs/actionAssociationDialogData.h \
		  dialogs/argumentDialog.h \
		  dialogs/argumentDialogData.h \
		  dialogs/check.h \
		  dialogs/classDialog.h \
		  dialogs/classDialogData.h \
		  dialogs/fileEventsDialog.h \
		  dialogs/fileEventsDialogData.h \
		  dialogs/fileTypesDialog.h \
		  dialogs/fileTypesDialogData.h \
		  dialogs/myListBox.h \
		  dialogs/newFileType.h \
		  dialogs/newFileTypeData.h \
		  dialogs/optionsDialog.h \
		  dialogs/optionsDialogData.h \
		  dialogs/pixmapListBox.h \
		  dialogs/toolBarDialog.h \
		  dialogs/toolBarDialogData.h \
		  fenetre.h \
		  fileinfo.h \
		  images/3D.h \
		  images/AddIcon.h \
		  images/All.h \
		  images/Amiga.h \
		  images/Arexx.h \
		  images/ArrangeLs.h \
		  images/Assign.h \
		  images/Blanker.h \
		  images/CD.h \
		  images/CDisk.h \
		  images/Cache.h \
		  images/Calculator.h \
		  images/Clip.h \
		  images/ClipBoard.h \
		  images/Comment.h \
		  images/Compare.h \
		  images/Connect.h \
		  images/Copy.h \
		  images/CopyAs.h \
		  images/CopyDir.h \
		  images/CopyWin.h \
		  images/DateStamp.h \
		  images/Delete.h \
		  images/Device.h \
		  images/DirDrawer.h \
		  images/DiskCopy.h \
		  images/EdHotList.h \
		  images/Edit.h \
		  images/EditSS.h \
		  images/FTP.h \
		  images/FTPReceive.h \
		  images/FTPSend.h \
		  images/FastView.h \
		  images/Font.h \
		  images/Format.h \
		  images/Game.h \
		  images/GetSizes.h \
		  images/Globe.h \
		  images/GoldEd.h \
		  images/GotoFirst.h \
		  images/GotoNext.h \
		  images/GrapeVine.h \
		  images/HD.h \
		  images/HangUp.h \
		  images/HardCopy.h \
		  images/HeadTail.h \
		  images/Help.h \
		  images/HotList.h \
		  images/Hound.h \
		  images/IconInfo.h \
		  images/InkFeather.h \
		  images/Join.h \
		  images/Library.h \
		  images/Magnify.h \
		  images/Mail.h \
		  images/Make.h \
		  images/MakeDir.h \
		  images/Modem.h \
		  images/Move.h \
		  images/MoveAs.h \
		  images/Movie.h \
		  images/MultiView.h \
		  images/Mystery.h \
		  images/NewDrawer.h \
		  images/News.h \
		  images/None.h \
		  images/PC.h \
		  images/Pack.h \
		  images/PaintBrush.h \
		  images/Parent.h \
		  images/Parent2Dest.h \
		  images/PathNew.h \
		  images/PathTempRam.h \
		  images/Pencil.h \
		  images/Play.h \
		  images/Print.h \
		  images/Protect.h \
		  images/Ram.h \
		  images/RamFlush.h \
		  images/RandSound.h \
		  images/ReSelect.h \
		  images/Read.h \
		  images/Relabel.h \
		  images/RemoveSizes.h \
		  images/Rename.h \
		  images/Root.h \
		  images/Sample.h \
		  images/Scales.h \
		  images/Search.h \
		  images/SearchDrawer.h \
		  images/Select.h \
		  images/Send.h \
		  images/Shell.h \
		  images/Show.h \
		  images/Speakers.h \
		  images/Split.h \
		  images/SwapWin.h \
		  images/SysPrefs.h \
		  images/System.h \
		  images/Telephone.h \
		  images/Test.h \
		  images/ToolbarArrow.h \
		  images/TrashCan.h \
		  images/UnPack.h \
		  images/Wand.h \
		  images/World.h \
		  images/YingYang.h \
		  images/Zzz.h \
		  internalCommands.h \
		  lineedit.h \
		  list.h \
		  manager.h \
                  threadScan.h \
		  toolbar.h \
                  TThread.h \
		  utils.h \
		  version.h
SOURCES		= cconfig.cpp \
		  configOpt.cpp \
		  configToolBar.cpp \
		  dialogs/CActionAssociationDialog.cpp \
		  dialogs/CArgumentDialog.cpp \
		  dialogs/CClassDialog.cpp \
		  dialogs/CFileEventsDialog.cpp \
		  dialogs/CFileTypesDialog.cpp \
		  dialogs/CNewFileTypeDialog.cpp \
		  dialogs/COptionsDialog.cpp \
		  dialogs/CToolBarDialog.cpp \
		  dialogs/actionAssociation.cpp \
		  dialogs/actionAssociationData.cpp \
		  dialogs/actionAssociationDialog.cpp \
		  dialogs/actionAssociationDialogData.cpp \
		  dialogs/argumentDialog.cpp \
		  dialogs/argumentDialogData.cpp \
		  dialogs/classDialog.cpp \
		  dialogs/classDialogData.cpp \
		  dialogs/fileEventsDialog.cpp \
		  dialogs/fileEventsDialogData.cpp \
		  dialogs/fileTypesDialog.cpp \
		  dialogs/fileTypesDialogData.cpp \
		  dialogs/myListBox.cpp \
		  dialogs/newFileType.cpp \
		  dialogs/newFileTypeData.cpp \
		  dialogs/optionsDialog.cpp \
		  dialogs/optionsDialogData.cpp \
		  dialogs/pixmapListBox.cpp \
		  dialogs/toolBarDialog.cpp \
		  dialogs/toolBarDialogData.cpp \
		  fenetre.cpp \
		  internalCommands.cpp \
		  lineedit.cpp \
		  main.cpp \
		  manager.cpp \
                  Thread.cpp \
                  threadScan.cpp \
		  toolbar.cpp \
                  utils.cpp
TARGET		= zfm
